curl --request POST \
--url https://api.boostgpt.co/v1/bot/heartbeat/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"heartbeat_id": "<string>"
}
'{
"heartbeat": {
"uuid": "<string>",
"bot_id": 123,
"member_id": 123,
"prompt": "<string>",
"interval_minutes": 123,
"enabled": 0,
"active_hours_start": "<string>",
"active_hours_end": "<string>",
"active_days": "<string>",
"timezone": "<string>",
"credit_budget": 123,
"credits_used": 123,
"last_executed_at": "<string>",
"last_status": "success",
"execution_count": 123,
"error_count": 123,
"max_consecutive_errors": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}Activate a heartbeat so it runs on its schedule
curl --request POST \
--url https://api.boostgpt.co/v1/bot/heartbeat/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"heartbeat_id": "<string>"
}
'{
"heartbeat": {
"uuid": "<string>",
"bot_id": 123,
"member_id": 123,
"prompt": "<string>",
"interval_minutes": 123,
"enabled": 0,
"active_hours_start": "<string>",
"active_hours_end": "<string>",
"active_days": "<string>",
"timezone": "<string>",
"credit_budget": 123,
"credits_used": 123,
"last_executed_at": "<string>",
"last_status": "success",
"execution_count": 123,
"error_count": 123,
"max_consecutive_errors": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}Was this page helpful?